package design.patterns.behavioural.command;

public class RemoteControlTest {

    public static void main(String[] args) {
        SimpleRemoteControl remoteControl = new SimpleRemoteControl();
        Light light = new Light();

        remoteControl.setDevice(light);
        remoteControl.buttonWasPressed();


        GarageDoor garageDoor = new GarageDoor("Front Garage");

        remoteControl.setDevice(garageDoor);
        remoteControl.buttonWasPressed();
    }
}
