package design.patterns.behavioural.strategy;

public class Main {

    public static void main(String[] args) {
        MallardDuck mallardDuck = new MallardDuck();
        mallardDuck.display();
        mallardDuck.swim();
        mallardDuck.quack();
        mallardDuck.fly();

        RubberDuck rubberDuck = new RubberDuck();
        rubberDuck.quack();
        rubberDuck.fly();

        AnotherDuckB anotherDuckB = new AnotherDuckB();
        anotherDuckB.fly();

        AnotherDuckA anotherDuckA = new AnotherDuckA();
        anotherDuckA.fly();




    }

}
