package design.patterns.behavioural.command;

public class SimpleRemoteControl{
	Object slot;

	public void setDevice(Object obj) {
		this.slot = obj;
	}

	public void buttonWasPressed() {
		if (slot instanceof CeilingFan) {
			CeilingFan ceilingFan = (CeilingFan) slot;
			ceilingFan.low();
		} else if (slot instanceof GarageDoor) {
			GarageDoor garageDoor = (GarageDoor) slot;
			garageDoor.up();
		} else {
			Light light = (Light) slot;
			light.on();
		}
	}
}
